#!/bin/sh

# This is the root of your kde installation.
# It is /usr for Mandrake 9.0 (Dolphin), but it can change
# on other distros (usually it is something like /opt/kde).
# The following lines of code should find it out for you.
# If it didn't work, or you know what your kde root is, just
# comment the first three lines and uncomment the fourth,
# setting the right path.

######################## EDIT HERE #########################

KDE_PREFIX=`whereis kdeinit \
	|sed -e 's/\/bin\/kdeinit//' \
	|sed -e 's/kdeinit: //'`
#KDE_PREFIX=/usr

######################## STOP EDITING ######################

KPPP_SHARE_PATH=$KDE_PREFIX/share/apps/kppp
KPPP_PICS_PATH=$KPPP_SHARE_PATH/pics
BACKUP_DIR_NAME=`date +%s`
BACKUP_PATH=$KPPP_PICS_PATH/backup_$BACKUP_DIR_NAME

mkdir $BACKUP_PATH && \
	cp $KPPP_PICS_PATH/*.png $BACKUP_PATH && \
	cp *.png $KPPP_PICS_PATH && \
	echo "done!" && \
	echo "You'll have to exit kppp for changes to apply."
